export const MODAL_TYPES = {
  CREATE_ASSIGNMENT: 'CREATE_ASSIGNMENT',
  UPDATE_ASSIGNMENT: 'UPDATE_ASSIGNMENT',
  CREATE_ATTENDANCE: 'CREATE_ATTENDANCE',
  UPDATE_ATTENDANCE: 'UPDATE_ATTENDANCE',
  CREATE_WORKSPACE: 'CREATE_WORKSPACE',
  SHOW_ASSIGNMENT_STUDENT: 'SHOW_ASSIGNMENT_STUDENT',
  SHOW_WORKSPACE_STUDENT: 'SHOW_WORKSPACE_STUDENT',
  UPDATE_WORKSPACE: 'UPDATE_WORKSPACE',
  SHOW_ATTENDANCE_STUDENT: 'SHOW_ATTENDANCE_STUDENT',
  SHOW_ASSIGNMENT_MARK_STUDENT: 'SHOW_ASSIGNMENT_MARK_STUDENT',
  PATCH_ASSIGNMENT: 'PATCH_ASSIGNMENT',
  PATCH_WORKSPACE: 'PATCH_WORKSPACE',
  SHOW_WORKSPACE_MARK_STUDENT: 'SHOW_WORKSPACE_MARK_STUDENT',
  SET_ASSIGNMENT_MARK: 'SET_ASSIGNMENT_MARK',
  SET_WORKSPACE_MARK: 'SET_WORKSPACE_MARK',
  SET_ATTENDANCE_MARK: 'SET_ATTENDANCE_MARK',
};

const ASSESSMENT_SELECT_TITLES = [
  {
    name: 'Assignment',
    type: MODAL_TYPES.CREATE_ASSIGNMENT,
  },
  {
    name: 'Attendance',
    type: MODAL_TYPES.CREATE_ATTENDANCE,
  },
  {
    name: 'Workspace',
    type: MODAL_TYPES.CREATE_WORKSPACE,
  },
];


export const MODALS_TITLES = {
  CREATE_ASSIGNMENT: ASSESSMENT_SELECT_TITLES,
  CREATE_ATTENDANCE: ASSESSMENT_SELECT_TITLES,
  CREATE_WORKSPACE: ASSESSMENT_SELECT_TITLES,
  SHOW_ASSIGNMENT_STUDENT: 'Assignment',
  SHOW_ATTENDANCE_STUDENT: 'Attendance',
  SHOW_ASSIGNMENT_MARK_STUDENT: 'Assignment',
  UPDATE_ASSIGNMENT: 'Assignment',
  UPDATE_WORKSPACE: 'Workspace',
  UPDATE_ATTENDANCE: 'Attendance',
  SET_ASSIGNMENT_MARK: 'Assignment',
  SET_WORKSPACE_MARK: 'Workspace',
  SET_ATTENDANCE_MARK: 'Attendance',
  SHOW_WORKSPACE_MARK_STUDENT: 'Workspace'
};

export const ASSESMENT_TYPES = {
  WORKSPACE: 4,
  ASSIGNMENT: 1,
  ATTENDANCE: 5,
};


